{% block cbcRessource %}
{#Les include minimaux pour les cbcRessource#}
<script type="text/javascript" src="{{asset_version('Limoog/Partages/src/include.js')}}"></script>

<script type="text/javascript">

	includeJS('{{asset_version('vendor/jQuery-3.3.1/jquery-3.3.1.min.js')}}') ;
	includeJS('{{asset_version('vendor/bootstrap/3.3.7/js/bootstrap.min.js')}}') ;
	includeCSS('{{asset_version('vendor/bootstrap/3.3.7/css/bootstrap.min.css')}}') ;
	// Bootstrap multiselect, http://davidstutz.de/bootstrap-multiselect/index.html#getting-started
	includeJS('{{asset_version('vendor/bootstrap/multiselect/js/bootstrap-multiselect.js')}}') ;
	includeCSS('{{asset_version('vendor/bootstrap/multiselect/css/bootstrap-multiselect.css')}}') ;

	includeCSS('{{asset_version('Limoog/Partages/widgets/LGMultiselect/LGMultiselect.css')}}') ;
	includeJS('{{asset_version('Limoog/Partages/widgets/LGMultiselect/LGMultiselect.js')}}') ;
	includeJS('{{asset_version('Limoog/Paa/src/ressources.js')}}') ;
</script>

{#URL de la page index#}
<div Id="baseURL" style="display:none;">{{ url('paa_default') }}</div>

Combockeck
{% include '@Paa/Widgets/cbcRessources.html.twig' with {'psId': 'comboCheck', 'psType': 'cbcRessource', 'psHeight': '100px'} only %}
<div>&nbsp;</div>

CheckListe de ressources (non chargée)<br>
{% include '@Paa/Widgets/cbcRessources.html.twig' with {'psId': 'checkList', 'psType': 'checkListRessource', 'psHeight': '100px', 'pbNoLoad': true} only %}
<br>

CheckListe de ressources (filtrée pour ressources compétentes dans l'actiBase de l'activité #1526)<br>
{% include '@Paa/Widgets/cbcRessources.html.twig' with {'psId': 'checkList', 'psType': 'checkListRessource', 'psHeight': '100px', 'piActi': 1526} only %}

<hr><button onClick='reRemplirActiBase_onClic()'>reremplir avec l'activité de base ci-après</button>&nbsp;<input type="text" id="ActiBase">
<script>
	function reRemplirActiBase_onClic() {
		ajax_FillcbcRessources($("#comboCheck")[0], $("#comboCheck").val(), {'actibase': $("#ActiBase").val()}) ;
		ajax_FillcbcRessources($("#checkList")[0], $("#checkList").val(), {'actibase': $("#ActiBase").val()}) ;
	}
</script>

<hr><button onClick='reRemplirActi_onClic()'>reremplir avec l'activité ci-après</button>&nbsp;<input type="text" id="Acti">
<script>
	function reRemplirActi_onClic() {
		ajax_FillcbcRessources($("#comboCheck")[0], $("#comboCheck").val(), {'acti': $("#Acti").val()}) ;
		ajax_FillcbcRessources($("#checkList")[0], $("#checkList").val(), {'acti': $("#Acti").val()}) ;
	}
</script>

<hr><button onClick='Sort_onClic()'>Trier par check</button>&nbsp;
<script>
	function Sort_onClic() {
		// Voir D:\Luc\Dev\DevWeb\Symfony\applicationPAA\web\Limoog\Partages\widgets\LGMultiselect\LGMultiselect.js
		// Ligne 21 (function sortByCheck())
		alert("L'idée y est, mais l'algo de tri n'est pas fini") ;
		$("#comboCheck").multiselect('sortByCheck') ;
		$("#checkList").multiselect('sortByCheck') ;
	}
</script>

{% endblock %}
